Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZKernelOperator Class Reference

## Public Member Functions
| __construct ( $name="ezpreference")
| operatorList ()
| namedParameterPerOperator ()
| namedParameterList ()
| operatorTemplateHints ()
| preferencesTransformation ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Public Attributes
| $Operators

## Detailed Description

Definition at line 16 of file ezkerneloperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZKernelOperator::__construct | ( |  | $name = `"ezpreference"` | ) |

Constructor

Parameters

  string | $name |

Definition at line 23 of file ezkerneloperator.php.

## Member Function Documentation

## ◆ modify()

eZKernelOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Definition at line 85 of file ezkerneloperator.php.

References eZPreferences\value(), and eZDebug\writeError().

## ◆ namedParameterList()

eZKernelOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList()

Definition at line 47 of file ezkerneloperator.php.

## ◆ namedParameterPerOperator()

eZKernelOperator::namedParameterPerOperator | ( |  | ) |

Returns
  true to tell the template engine that the parameter list exists per operator type.

Definition at line 39 of file ezkerneloperator.php.

## ◆ operatorList()

eZKernelOperator::operatorList | ( |  | ) |

Returns the template operators.

Definition at line 31 of file ezkerneloperator.php.

References $Operators.

## ◆ operatorTemplateHints()

eZKernelOperator::operatorTemplateHints | ( |  | ) |

Definition at line 54 of file ezkerneloperator.php.

## ◆ preferencesTransformation()

eZKernelOperator::preferencesTransformation | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 65 of file ezkerneloperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## Member Data Documentation

## ◆ $Operators

eZKernelOperator::$Operators

Definition at line 102 of file ezkerneloperator.php.

Referenced by operatorList().

The documentation for this class was generated from the following file:

- ezkerneloperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.